<!DOCTYPE html>
<html>
<head>
   <title>Patern 31</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var jmlKolom = jmlBaris;
      for (let i = 0; i <= jmlBaris; i++) {
         output = '';
         if (i == 0 || i == jmlBaris) {
            for (let k = 0; k <= jmlKolom; k++) {
               output = output + '*';
            }
         } else {
            for (let k = 0; k <= jmlKolom; k++) {
               if (k == 0 || k == jmlBaris) {
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
               }
            }
         }
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>